Subject: Re: 3 failures on test t9100 (svn)

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 3 Mar 2010 01:58:04 +0100

The 02/03/10, Jeff King wrote:
> On Tue, Mar 02, 2010 at 08:45:18PM +0100, Nicolas Sebrecht wrote:
> 
> > Some tests in t9100 don't pass here with current next (full log
> > attached). Any idea?
> > [...]
> >   test_cmp:1: command not found: diff -u
> 
> Probably related to this line. Assuming you have "diff" in your PATH,

  $ which diff
  /usr/bin/diff
  $ diff --version
  diff (GNU diffutils) 2.8.7

> based on that message I would guess that your shell is trying to execute
> "diff -u" as a single file, which obviously won't work. The relevant
> code in test-lib.sh is something like:
> 
>   GIT_TEST_CMP='diff -u'
>   test_cmp() {
>     $GIT_TEST_CMP "$@"
>   }
> 
> which _should_ split the "diff -u" on whitespace.

I've tried with these exact lines without more success.

>                                                   What platform are you
> on? Which shell is /bin/sh on your system?

I'm running Gentoo. I had

  $ ls -ld $(which sh)
  lrwxrwxrwx 1 root root 4 févr. 13  2009 /bin/sh -> bash
  $ bash --version
  GNU bash, version 3.2.39(1)-release (x86_64-pc-linux-gnu)

I've changed the symbolic link to point to /bin/zsh (my every day shell)
but this didn't help.

  $ zsh --version
  zsh 4.3.9 (x86_64-pc-linux-gnu)

I think your diagnosis is right or very near from the problem. But I
would have expected that changing to another shell did the trick. Odd.

That said, I did the svn tests because sometimes I have reproductible
errors with 'git svn fetch' or 'git svn clone'. I'm not sure how both
problems could be related... git-svn is a Perl script. The given message
for this one is "error: died with signal 11" from what I remember (but
I'm sure about the "signal 11" part).

I'll do more investigations at work tomorrow. I've already tried to add
the "-d" flag in git-svn and it didn't help neither: git looked like in
an infinite loop. Odd, odd, odd.

-- 
Nicolas Sebrecht